    jQuery(document).ready(function() {
        jQuery(".fancybox").fancybox();

        jQuery('#dealer-number').click(function() {
            data_value = jQuery(this).data('all');
            if (data_value != 'clicked') {
                jQuery(this).html(data_value);
                jQuery(this).css('cursor', 'auto');
                jQuery(this).data('all', 'clicked');
                //ga('send','event','phone','click','Click to Dealer phone number',1,{'nonInteraction':1});
            }
        });
        
    });

    function sendEmailToFriend() {
        jQuery('#friend-email .email_response').css('display', 'none').html('');
        jQuery('#friend-email .error').remove();

        var isValid = true;
        jQuery('#friend-email input').each(function() {
            if (jQuery(this).val() == undefined || jQuery(this).val() == '') {
                jQuery(this).after('<span class="error">This field is required.</span>');
                isValid = false;
            }
        });
        if (!isValid) {
            return;
        }

        jQuery.post(
            fastrack_ajax_object.ajaxurl,
            {
                action: 'fastrack_xml',
                method: 'send_friend_email',
                post_id: jQuery('[name=post_id]').val(),
                your_name: jQuery('#friend-email [name=your_name]').val(),
                your_email: jQuery('#friend-email [name=your_email]').val(),
                friend_name: jQuery('#friend-email [name=friend_name]').val(),
                friend_email: jQuery('#friend-email [name=friend_email]').val(),
                email_body: jQuery('#friend-email [name=email_body]').val()
            },
            function(response) {
                if (response.success) {
                    jQuery('#friend-email input').val('');
                }
                jQuery('#friend-email .email_response').css('display', 'block').html(response.msg);
            },
            'json'
        );
    }

    function sendEmailEnquireNow() {
        jQuery('#enquire-email .email_response').css('display', 'none').html('');
        jQuery('#enquire-email .error').remove();

        var isValid = true;
        jQuery('#enquire-email input').each(function() {
            if (jQuery(this).val() == undefined || jQuery(this).val() == '') {
                jQuery(this).after('<p class="error">This field is required.</p>');
                isValid = false;
            }
        });
        if (!isValid) {
            return;
        }

        jQuery.post(
            fastrack_ajax_object.ajaxurl,
            {
                action: 'fastrack_xml',
                method: 'send_enquire_email',
                post_id: jQuery('[name=post_id]').val(),
                name: jQuery('#enquire-email [name=name]').val(),
                email: jQuery('#enquire-email [name=email]').val(),
                phone: jQuery('#enquire-email [name=phone]').val(),
                sign_me: jQuery('#enquire-email [name=sign_me]').is('checked'),
                message: jQuery('#enquire-email [name=message]').val()
            },
            function(response) {
                if (response.success) {
                    jQuery('#enquire-email input').val('');
                }
                jQuery('#enquire-email .email_response').css('display', 'block').html(response.msg);
            },
            'json'
        );
    }