<?php wp_enqueue_script( 'script-name' );?>
	<div class="fdnfeed-large-search">
		<div class="fdnfeed-large-search-options">
		<h2 style="text-align: center;"><span class="full-search">Full Search</span> | <span class="quick-search">Quick Search</span></h2>
		</div>
		<form name="fdnfeed-large-search-form" role="search" method="get" class="fdnfeed-large-search-form" id="fdnfeed-large-search-form" action="<?php echo get_permalink( $options[ 'search_page_id' ]); ?>">
			<div class="fdnfeed-search-fields-type col-sm-12">
				<label for="listing_new" class="fdnfeed-search-label col-sm-3">Listing Type:</label>
				<div class="col-xs-3 pad-top-form">
                    <label class="fdnfeed-search-label" for="listing_new">
                        <input class="fdnfeed-search-input" id="listing_new" type="checkbox" name="listing_new" value="New" <?php if( isset($_REQUEST['listing_new'])?$_REQUEST['listing_new']:"" == "New"){ echo "checked";} ?>><span></span> New
                    </label>
                </div>
                <div class="col-xs-3 pad-top-form">
                    <label class="fdnfeed-search-label" for="listing_demo">
                        <input class="fdnfeed-search-input" id="listing_demo" type="checkbox" name="listing_demo" value="Demo" <?php if( isset($_REQUEST['listing_demo'])?$_REQUEST['listing_demo']:"" == "Demo"){ echo "checked";} ?>><span></span> Demo
                    </label>
                </div>
                <div class="col-xs-3 pad-top-form">
                    <label class="fdnfeed-search-label" for="listing_used">
                        <input class="fdnfeed-search-input" id="listing_used" type="checkbox" name="listing_used" value="Used" <?php if( isset($_REQUEST['listing_used'])?$_REQUEST['listing_used']:"" == "Used"){ echo "checked";} ?>><span></span> Used
                    </label>
                </div>
			</div>
			<div class="fdnfeed-search-fields-cat col-sm-12">
				<label for="category" class="fdnfeed-search-label col-sm-3">Category:</label>
					<div class="col-sm-9">
                           <select class="fdnfeed-search-select" name="category" id="search_category">
                            <option value="">All categories</option>
                            <?php Fastrack_Wp_Post_Type_Product::get_product_categories(); ?>
                        </select>
					</div>
			</div>
			<div class="fdnfeed-search-fields-subcat col-sm-12">
				<label for="subcategory" class="fdnfeed-search-label col-sm-3">Sub-category:</label>
					<div class="col-sm-9">
					    <select class="fdnfeed-search-select" name="subcategory" id="search_subcategory">
                            <option value="">All sub-categories</option>
                        </select>
					</div>
			</div>
			<div class="fdnfeed-search-fields-make col-sm-12">
				<label for="make" class="fdnfeed-search-label col-sm-3">Make:</label>
					<div class="col-sm-9">
                        <select class="fdnfeed-search-select" name="make">
                            <?php Fastrack_Wp_Post_Type_Product::get_product_meta_values('product-data-make'); ?>
                        </select>
					</div>
			</div>
			<div class="fdnfeed-search-fields-price col-sm-12">
				<label for="price_min" class="fdnfeed-search-label col-sm-3">Price:</label>
                
                <div class="col-sm-4 col-xs-5">
                    <input type="text" class="fdnfeed-search-input" name="price_min" placeholder="Min" value="<?php echo isset($_REQUEST["price_min"]) ? $_REQUEST["price_min"] : ''; ?>">
                </div>
                <div class="col-sm-1 col-xs-2">
                   <div class="fdnfeed-search-to">to</div>
                </div>
                <div class="col-sm-4 col-xs-5">
                    <input type="text" class="fdnfeed-search-input" name="price_max" placeholder="Max" value="<?php echo isset($_REQUEST["price_max"]) ? $_REQUEST["price_max"] : ''; ?>">
                </div>
                
			</div>
			<div class="fdnfeed-search-fields-keywords col-sm-12">
				<label for="keywords" class="fdnfeed-search-label col-sm-3">Keywords:</label>
					<div class="col-sm-9"><input type="text" class="fdnfeed-search-input" name="keywords" placeholder="Enter keywords" value="<?php echo isset($_REQUEST["keywords"]) ? $_REQUEST["keywords"] : ''; ?>"></div>
			</div>
			<div class="fdnfeed-search-submit col-sm-9 col-sm-offset-3">
			<input type="submit" class="fdnfeed-search-submit-btn" value="SEARCH" />
			
			<a class="fdnfeed-search-reset" href="#">Reset Search</a>
			<input type="hidden" name="search" value="full_search" />
			<?php
			$ppp = !empty($_GET['ppp']) ? $_GET['ppp'] : 10;
			$sb = !empty($_GET['sb']) ? $_GET['sb'] : 'adtype';
			?>
			<input type="hidden" name="ppp" id="frm-ppp" value="<?php echo $ppp; ?>" />
			<input type="hidden" name="sb" id="frm-sb" value="<?php echo $sb; ?>" />
			<input type="hidden" name="tp" id="frm-tp" value="form1" />
			</div>
		</form>
		
		
		<form name="fdnfeed-quick-search-form" role="search" method="get" class="fdnfeed-quick-search-form" action="<?php echo get_permalink( $options[ 'search_page_id' ]); ?>">
			<div class="fdnfeed-search-fields-cats col-sm-12">
				<label for="listing_new" class="fdnfeed-search-label col-sm-3">Quick Links:</label>
				<div class="col-sm-9 pad-top-form">
                    <ul class="fdnfeed-quick-search-cats">
                        <?php foreach ( $links as $title => $link ): ?>
                            <li><a href="<?php echo get_permalink( $options[ 'search_page_id' ] ) . $link; ?>" style="color: #000;"><?php echo $title ?></a></li>
                        <?php endforeach; ?>		
                    </ul>
				</div>
			</div>
			<div class="fdnfeed-quick-search-or col-sm-offset-3 col-sm-9">
			    <h5 class="quick-search-or">- or -</h5>
			</div>
			<div class="fdnfeed-search-fields-keywords">
				<label for="keywords" class="fdnfeed-search-label  col-sm-3">Keywords:</label>
				<div class="col-sm-9">
				    <input type="text" class="fdnfeed-search-input" name="keywords" placeholder="Enter keywords" value="<?php echo isset($_REQUEST["keywords"]) ? $_REQUEST["keywords"] : ''; ?>">
                </div>
			</div>
			<div class="fdnfeed-search-submit col-sm-9 col-sm-offset-3">
			<input type="submit" class="fdnfeed-search-submit-btn" value="SEARCH" />
			<a class="fdnfeed-search-reset" style="margin-left: auto; margin-right: auto; display: block; text-align: center; color: rgb(104, 104, 104); padding: 5%;" href="#">Reset Search</a>
			<input type="hidden" name="search" value="full_search" />
			<?php
			$ppp = !empty($_GET['ppp']) ? $_GET['ppp'] : 10;
			$sb = !empty($_GET['sb']) ? $_GET['sb'] : 'adtype';
			?>
			<input type="hidden" name="ppp" id="frm-ppp" value="<?php echo $ppp; ?>" />
			<input type="hidden" name="sb" id="frm-sb" value="<?php echo $sb; ?>" />
			<input type="hidden" name="tp" id="frm-tp" value="form2" />
			</div>
		</form>	
		
		
	</div>


<?php

if (isset($_REQUEST['subcategory'])&& ($_REQUEST['subcategory']))
{
?>
<script type="text/javascript">
var ajaxurl=
jQuery(document).ready(function(){
	
jQuery.ajax({
				type:"post",
				url: "<?php echo admin_url( 'admin-ajax.php' ); ?>",
				data: {action: "get_product_categories", id: <?php echo $_REQUEST['category'];?>, sub: 'y'},
				success:function(data){
					jQuery("#search_subcategory").empty().append('<option value="">All sub-categories</option>'+data);
					//console.log(data);
					jQuery('#search_subcategory').val('<?php echo $_REQUEST['subcategory'];?>'); 
				}
			});
			

});
</script>	
	
<?php	
	
}
?>
<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery('.fdnfeed-quick-search-form').hide();
	jQuery('.quick-search').css("color", "#afafaf");
	jQuery('.full-search').css("color", "#4a4a4a");
	jQuery('#search_category').on('change', function (e) {
		jQuery("#search_subcategory").empty().append('<option value="">Loading...</option>');
		if (this.value == '') {
			jQuery("#search_subcategory").empty().append('<option value="">All sub-categories</option>');
		} else {
			jQuery.ajax({
				type:"post",
				url: "<?php echo admin_url( 'admin-ajax.php' ); ?>",
				data: {action: "get_product_categories", id: this.value, sub: 'y'},
				success:function(data){
					jQuery("#search_subcategory").empty().append('<option value="">All sub-categories</option>'+data);
					//console.log(data);
				}
			});
		}
	});
	jQuery('#ppp').on('change', function (e) {
		jQuery('#frm-ppp').val(this.value);
		document.frm.submit();
	});
	jQuery('#sb').on('change', function (e) {
		jQuery('#frm-sb').val(this.value);
		document.frm.submit();
	});
	
	  jQuery(".full-search").click(function(){
		  jQuery('.fdnfeed-quick-search-form').hide();
		  jQuery('.fdnfeed-large-search-form').show();
		  jQuery('.full-search').css("color", "#4a4a4a");
		  jQuery('.quick-search').css("color", "#afafaf");
	  });
	  jQuery(".quick-search").click(function(){
		  jQuery('.fdnfeed-large-search-form').hide();
		  jQuery('.fdnfeed-quick-search-form').show();
		  jQuery('.quick-search').css("color", "#4a4a4a");
		  jQuery('.full-search').css("color", "#afafaf");
	  });
	  
	  

jQuery(".reset").click(function(e) {
	e.preventDefault();
    jQuery(this).closest('form').find("input[type=text]").val("");
});


	  
})
</script>

