<?php

/*
  Plugin Name: FastrackWP
  Description: Display listings from Fastrack Dealer Net on your WordPress website.
  Author: Italic Digital
  Version: 1.1.0
  Author URI: http://italicdigital.com/
  Developer: Italic Digital
  Developer URI: http://italicdigital.com

  Copyright: © 2016 Italic Digital
  License: GNU General Public License v3.0
  License URI: http://www.gnu.org/licenses/gpl-3.0.html
 */
//error_reporting(E_ALL);
//ini_set('display_errors',1);
set_time_limit(0);

if ( !defined( 'ABSPATH' ) ) {
    exit;
} // Exit if accessed directly
define( 'PLUGIN_Fastrack_Wp_ROOT_URL', plugin_dir_url( __FILE__ ) );
define( 'PLUGIN_Fastrack_Wp_ROOT_NAME', plugin_basename( __FILE__ ) );
define( 'PLUGIN_Fastrack_Wp_ROOT_PATH', plugin_dir_path( __FILE__ ) );
define( 'PLUGIN_Fastrack_Wp_TEMP_PATH', PLUGIN_Fastrack_Wp_ROOT_PATH."temp/");
include_once 'classes/class-fastrack-wp-main.php';
include_once 'classes/class-fastrack-wp-helper-meta.php';
include_once 'classes/class-fastrack-wp-post-type-dealer.php';
include_once 'classes/class-fastrack-wp-post-type-product.php';
include_once 'classes/class-fastrack-wp-import.php';
include_once 'classes/class-fastrack-wp-settings.php';
include_once 'classes/class-fastrack-wp-settings-option.php';
include_once 'classes/class-fastrack-wp-support.php';
include_once 'classes/class-fastrack-wp-rrssb.php';

$main_obj = new Fastrack_Wp_Main();
$settings_obj = new Fastrack_Wp_Settings();
register_activation_hook( __FILE__, array( $settings_obj, 'plugin_activate' ) );
register_deactivation_hook( __FILE__, array( $settings_obj, 'plugin_deactivate' ) );


