<?php if ( ! defined( 'ABSPATH' ) ) {
	exit;
} /* Exit if accessed directly */ 
$active_tab = isset( $_GET[ 'tab' ] ) ? $_GET[ 'tab' ] : 'general';
?>
<div class="wrap fastrackwp">
   <nav class="nav-tab-wrapper fastrackwp-nav-tab-wrapper">
        <a class="nav-tab <?php echo $active_tab == 'general' ? 'nav-tab-active' : ''; ?>" href="?page=fastrack_wp&tab=general">General</a>
        <a class="nav-tab <?php echo $active_tab == 'style' ? 'nav-tab-active' : ''; ?>" href="?page=fastrack_wp&tab=style">Styling</a>
        <a class="nav-tab <?php echo $active_tab == 'social' ? 'nav-tab-active' : ''; ?>" href="?page=fastrack_wp&tab=social">Social</a>
        <a class="nav-tab <?php echo $active_tab == 'forms' ? 'nav-tab-active' : ''; ?>" href="?page=fastrack_wp&tab=forms">Forms</a>
    </nav>
    <form method="post">
      <?php
         
        if( $active_tab == 'style' ) {
            ?>
            
       <table class="form-table">
            <tbody>
            <tr>
                <th scope="row"><h2><?php _e('Color Settings', $text_domain ) ?></h2></th>
                <td></td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'Enquiry Form Background Color', $text_domain ) ?></th>
                <td>
                    <div class="farb-popup-wrapper">
                         <input type="text" id="efbcolor" name="settings_option[color][enq_form_bg_color]" value="<?=( isset( $options['color']['enq_form_bg_color'] ) ? $options['color']['enq_form_bg_color'] : "#f6f6f6" ) ?>" class="efbcolor popup-colorpicker" style="width:70px;"/>
                         <div id="efbcolorpicker" class="color-picker"></div>
                         <span class="description"></span>
                     </div>
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'Dealer Details Background Color', $text_domain ) ?></th>
                <td>
                    <div class="farb-popup-wrapper">
                         <input type="text" id="ddcolor" name="settings_option[color][dealer_bg_color]" value="<?=( isset( $options['color']['dealer_bg_color'] ) ? $options['color']['dealer_bg_color'] : "#f6f6f6" ) ?>" class="ddcolor popup-colorpicker" style="width:70px;"/>
                         <div id="ddcolorpicker" class="color-picker"></div>
                         <span class="description"></span>
                     </div>
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'Button Color', $text_domain ) ?></th>
                <td>
                    <div class="farb-popup-wrapper">
                         <input type="text" id="btncolor" name="settings_option[color][btn_color]" value="<?=( isset( $options['color']['btn_color'] ) ? $options['color']['btn_color'] : "#e24446" ) ?>" class="btncolor popup-colorpicker" style="width:70px;"/>
                         <div id="btncolorpicker" class="color-picker"></div>
                         <span class="description"></span>
                     </div>
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'Button Hover Color', $text_domain ) ?></th>
                <td>
                    <div class="farb-popup-wrapper">
                         <input type="text" id="btncolorhover" name="settings_option[color][btn_hover_color]" value="<?=( isset( $options['color']['btn_hover_color'] ) ? $options['color']['btn_hover_color'] : "#a52c2e" ) ?>" class="btncolorhover popup-colorpicker" style="width:70px;"/>
                         <div id="btncolorhoverpicker" class="color-picker"></div>
                         <span class="description"></span>
                     </div>
                </td>
            </tr>
            </tbody>
        </table>
            <?php
        } elseif($active_tab == 'social') {
            ?>
            
       <table class="form-table">
        <tbody>
            <tr>
                <th scope="row"><h2><?php _e('Social Sharing Settings', $text_domain ) ?></h2></th>
                <td></td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'Facebook', $text_domain ) ?></th>
                <td>
                    <label for="settings_option_facebook">
                        <input name="settings_option[share][facebook]" type="checkbox" id="settings_option_facebook" value="1"
                            <?php checked( isset( $options['share']['facebook'] ) ? $options['share']['facebook'] : false ) ?> /> <?php _e( 'Enable', $text_domain ) ?>
                    </label>
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'Email', $text_domain ) ?></th>
                <td>
                    <label for="settings_option_email">
                        <input name="settings_option[share][email]" type="checkbox" id="settings_option_email" value="1"
                                <?php checked( isset( $options['share']['email'] ) ? $options['share']['email'] : false ) ?> /> <?php _e( 'Enable', $text_domain ) ?>
                    </label>
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'Twitter', $text_domain ) ?></th>
                <td>
                    <label for="settings_option_twitter">
                        <input name="settings_option[share][twitter]" type="checkbox" id="settings_option_twitter" value="1"
                                <?php checked( isset( $options['share']['twitter'] ) ? $options['share']['twitter'] : false ) ?> /> <?php _e( 'Enable', $text_domain ) ?>
                    </label>
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'LinkedIn', $text_domain ) ?></th>
                <td>
                    <label for="settings_option_linkedin">
                        <input name="settings_option[share][linkedin]" type="checkbox" id="settings_option_linkedin" value="1"
                                <?php checked( isset( $options['share']['linkedin'] ) ? $options['share']['linkedin'] : false ) ?> /> <?php _e( 'Enable', $text_domain ) ?>
                    </label>
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'Google+', $text_domain ) ?></th>
                <td>
                    <label for="settings_option_googleplus">
                        <input name="settings_option[share][googleplus]" type="checkbox" id="settings_option_googleplus" value="1"
                                <?php checked( isset( $options['share']['googleplus'] ) ? $options['share']['googleplus'] : false ) ?> /> <?php _e( 'Enable', $text_domain ) ?>
                    </label>
                </td>
            </tr>
         </tbody>
        </table>
            <?php
        }elseif($active_tab == 'forms'){
            ?>
            <h2><?php _e('Email forms settings', $text_domain ) ?></h2>
	<table class="form-table">
		<tbody>
		<tr>
			<th scope="row">
				<?php _e( 'Default Email to send', $text_domain ) ?>
			</th>
			<td>
				<input name="settings_option[default_email]" type="text" value="<?=(isset($options['default_email']) ? $options['default_email'] : get_option('admin_email') ) ?>"/>
			</td>
		</tr>
		<tr>
			<th scope="row">
				<?php _e( 'Send to a friend', $text_domain ) ?>
				<p>
					<?php _e( 'Available tags:', $text_domain ) ?><br>
					{Message}<br>
					{Product Name}<br>
					{Product Description}<br>
					{Product Stock}<br>
					{Product Url}<br>
					{Domain Url}<br>
					{Domain Name}<br>
					{Friend Name}<br>
					{Friend Email}<br>
					{User Name}<br>
					{User Email}
				</p>
			</th>
			<td>
				<textarea class="email_form" name="settings_forms[forms][friend]" id="settings_forms_friend"><?php echo $options['forms']['friend'] ?></textarea>
			</td>
		</tr>
		<tr>
			<th scope="row">
				<?php _e( 'Enquire', $text_domain ) ?>
				<p>
					<?php _e( 'Available tags:', $text_domain ) ?><br>
					{Date}<br>
					{Product Name}<br>
					{Product Stock}<br>
					{Product Url}<br>
					{Name}<br>
					{Email}<br>
					{Phone}<br>
					{Message}
				</p>
			</th>
			<td>
				<textarea class="email_form" name="settings_forms[forms][enquire]" id="settings_forms_enquire"><?php echo $options['forms']['enquire'] ?></textarea>
			</td>
		</tr>
		</tbody>
	</table>
            <?php
        }else{
            ?>
            <table class="form-table">
        <tbody>
            <tr>
                <th scope="row"><h2><?php _e('General', $text_domain ) ?></h2></th>
                <td></td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'Enable Catalog Mode', $text_domain ) ?></th>
                <td>
                    <label for="settings_option_catalog">
                        <input name="settings_option[catalog_mode]" type="checkbox" id="settings_option_catalog" value="1"
                            <?php checked( isset( $options['catalog_mode'] ) ? $options['catalog_mode'] : false ) ?> /> <?php _e( 'Enable', $text_domain ) ?>
                    </label>
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'Product Page Layout', $text_domain ) ?></th>
                <td>
                    <label for="settings_option_layouttwo">
                        <input name="settings_option[layout]" type="radio" id="settings_option_layouttwo" value="2"
                            <?=($options['layout']!=1 ? 'checked' : '' ) ?> />
                            <img src="<?php echo PLUGIN_Fastrack_Wp_ROOT_URL;?>assets/img/two-column.jpg" width="100px">
                    </label>
                    <label for="settings_option_layoutone">
                        <input name="settings_option[layout]" type="radio" id="settings_option_layoutone" value="1"
                            <?=($options['layout']==1 ? 'checked' : '' ) ?> />
                            <img src="<?php echo PLUGIN_Fastrack_Wp_ROOT_URL;?>assets/img/one-column.jpg" width="100px">
                    </label>
                </td>
            </tr>
            <tr>
                <th scope="row"><?php _e( 'Enable Default Dealer', $text_domain ) ?></th>
                <td>
                    <label for="settings_option_dealer">
                        <input name="settings_option[default_dealer]" type="checkbox" id="settings_option_dealer" value="1"
                            <?php checked( isset( $options['default_dealer'] ) ? $options['default_dealer'] : false ) ?> /> <?php _e( 'Enable', $text_domain ) ?>
                    </label>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <?php _e( 'Dealer Name', $text_domain ) ?>
                </th>
                <td>
                    <input name="settings_option[dealer_name]" type="text" value="<?=(isset($options['dealer_name']) ? $options['dealer_name'] : '' ) ?>"/>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <?php _e( 'Dealer Address', $text_domain ) ?>
                </th>
                <td>
                    <input name="settings_option[dealer_address]" type="text" value="<?=(isset($options['dealer_address']) ? $options['dealer_address'] : '' ) ?>"/>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <?php _e( 'Dealer Phone', $text_domain ) ?>
                </th>
                <td>
                    <input name="settings_option[dealer_phone]" type="text" value="<?=(isset($options['dealer_phone']) ? $options['dealer_phone'] : '' ) ?>"/>
                </td>
            </tr>
         </tbody>
        </table>
            <?php
        }
         
         
    ?>

        <p class="submit"><input type="submit" name="save" id="submit" class="button button-primary" value="<?php _e('Save Changes', $text_domain) ?>"></p>
    </form>
</div>
<script>
    
jQuery(document).ready(function(){
	
	var $color_inputs = jQuery('input.popup-colorpicker');

	$color_inputs.each(function(){
		var $input = jQuery(this);
		var $pickerId = "#" + jQuery(this).attr('id') + "picker";

		jQuery($pickerId).hide();
		jQuery($pickerId).farbtastic($input);
		jQuery($input).click(function(){jQuery($pickerId).slideToggle()});

	});
});
</script>
