
<div class="fdnfeed-listing-main">
	<?php
	if ( !$total_pages )
		$total_pages = 1;
	?>
	<div class="fdnfeed-listing-controls">
		<div class="fdnfeed-listing-sort col-sm-5 col-xs-4">
			<label for="sb" class="fdnfeed-listing-label">Sort by:</label>
			<select class="fdnfeed-listing-select" name="sb" id="sb">
				<?php
				$sort_by	 = array(
					'adtype'	 => 'Type',
					'price_desc' => 'Price (high to low)',
					'price_asc'	 => 'Price (low to high)'
				);

				foreach ( $sort_by as $v => $txt ):
					?>
					<option value="<?php echo $v ?>"<?php if ( $v == $filter ): ?> selected="selected"<?php endif; ?>><?php echo $txt ?></option>
				<?php endforeach; ?>
			</select>
		</div>
		<div class="fdnfeed-listing-show col-sm-3 col-xs-4">
			<label for="ppp" class="fdnfeed-listing-label">Showing:</label>
			<select class="fdnfeed-listing-select" name="ppp" id="ppp">
				<?php
				$p_p_p = array(
					'5'	 => '5',
					'10' => '10',
					'15' => '15',
					'20' => '20'
				);

				foreach ( $p_p_p as $v => $txt ):
					?>
					<option value="<?php echo $v ?>"<?php if ( $v == $ppp ): ?> selected="selected"<?php endif; ?>><?php echo $txt ?></option>
				<?php endforeach; ?>
			</select>
		</div>
		<div class="fdnfeed-listing-top-pagination col-sm-4 col-xs-4">
			<label>page <?php echo $paged; ?> of <?php echo $total_pages; ?></label>
			
		</div>
	</div>
	<div class="fdnfeed-listing-content">
		<?php
		if ( $productSearchQuery->have_posts() ) :
			while ( $productSearchQuery->have_posts() ) : $productSearchQuery->the_post();
				$adtype_array	 = array(
					"NA"				 => "",
					"Standard"			 => "standard-product",
					"Upgrade Level 1"	 => "bold-product",
					"Upgrade Level 2"	 => "premium-product",
					"Upgrade Level 3"	 => "premium-product",
					"Upgrade Level 4"	 => "premium-product"
				);
				$adtype			 = get_post_meta( get_the_ID(), 'product-data-adtype', true );
				if ( $adtype == '' )
					$adtype			 = 'NA';
				?>
				<div class="fdnfeed-listing-product row <?php echo $adtype_array[ $adtype ]; ?>">
					<div class="fdnfeed-listing-product-image col-sm-3">
						<?php //the_post_thumbnail(array(242, 155));  ?>
						<a href="<?php the_permalink(); ?>" title="More Info"><img class="alignnone size-medium wp-image-37" src="<?php echo Fastrack_Wp_Post_Type_Product::get_mmac_product_image( get_the_ID() ); ?>" alt="my-machinery-case-bg-image-left" width="242" height="155" /></a>
					</div>
					<div class="fdnfeed-listing-product-desc col-sm-6">
						<?php $dealer_id		 = get_post_meta( get_the_ID(), 'product-option-dealerid', true ); ?>
						<div class="fdnfeed-listing-product-desc-title"><p><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></p></div>
						<div class="fdnfeed-listing-product-desc-dealer"><p><strong>Dealer:</strong> <?php echo get_the_title( $dealer_id ); ?></p></div>
						<?php $location		 = (esc_html( get_post_meta( get_the_ID(), 'product-data-location', true ) ) != "" ) ? esc_html( get_post_meta( get_the_ID(), 'product-data-location', true ) ) : 'Unavailable'; ?>
						<div class="fdnfeed-listing-product-desc-location"><p><strong>Location:</strong> <?php echo $location; ?></p></div>
						<div class="fdnfeed-listing-product-desc-text"><p><strong>Description:</strong> <?php
								if ( !empty( get_the_content() ) ) {
									echo wp_trim_words( get_the_content(), $num_words	 = 30, $more		 = '...' );
								} else {
									echo 'Unavailable';
								}
								?></p></div>
					</div>
					<div class="fdnfeed-listing-product-status col-sm-3">
						<?php 
                        $_product = wc_get_product( get_the_ID() );
                        $product_price = $_product->get_price_html(); ?>
						<?php if ( $product_price == 'POA') { ?>
							<div class="fdnfeed-listing-product-price"><p>POA</p></div>
						<?php } else { ?>
							<div class="fdnfeed-listing-product-price"><p><?php echo $product_price; ?></p></div>
							<div class="fdnfeed-listing-product-gst"><p>inc. GST</p></div>
						<?php } ?>
						<div class="fdnfeed-listing-product-type"><p><?php echo esc_html( get_post_meta( get_the_ID(), 'product-data-listing', true ) ); ?></p></div>
						<div class="fdnfeed-listing-product-more-info"><a class="fdnfeed-btn" href="<?php the_permalink(); ?>" role="button">More Info</a></div>
					</div>
				</div>

			<?php endwhile; ?>

		<?php else: ?>
			Sorry, nothing matched your search criteria
		<?php endif; ?>
	</div>
	<div class="fdnfeed-listing-footer">
		<div class="fdnfeed-listing-footer-show col-sm-4">
			<?php
			global $wp_query;
			$paged			 = Fastrack_Wp_Main::get_custom_search_current_page();
			$ppp			 = get_query_var( 'posts_per_page' );
			$end			 = $ppp * $paged;
			$start			 = $end - $ppp + 1;
			$total			 = $wp_query->found_posts;
			echo "Showing $start to " . ($end > $total ? $total : $end) . " of $total";
			?>
		</div>
		<div class="fdnfeed-listing-footer-navigation col-sm-8">
			<?php
			$pagenum_link	 = html_entity_decode( get_pagenum_link() );
			$url_parts		 = explode( '?', $pagenum_link );
			//var_dump($url_parts,site_url()."/search-page");
			echo paginate_links( array(
				'base'		 => site_url() . "/" . sanitize_title( Fastrack_Wp_Settings::$search_page ) . (!empty( $category_slug ) ? '/' . $category_slug : '') . "/%_%", // http://example.com/all_posts.php%_% : %_% is replaced by format (below)
				'format'	 => 'page-%#%/',
				'total'		 => $wp_query->max_num_pages,
				'current'	 => max( 1, $paged ),
				'end_size'	 => 1,
				'mid_size'	 => 2,
				'prev_next'	 => True,
				'prev_text'	 => __( '<img src="' . plugin_dir_url( __FILE__ ) . '../assets/img//pagination-prev.png" />' ),
				'next_text'	 => __( '<img src="' . plugin_dir_url( __FILE__ ) . '../assets/img//pagination-next.png" />' ),
				'type'		 => 'list'
			) );
			?>
		</div>
	</div>
</div>
<?php wp_reset_query(); ?>
<script type="text/javascript">
	jQuery( document ).ready( function() {
		console.log( window.location.search );

		jQuery( '#ppp' ).on( 'change', function( e ) {
			window.location.search = updateURLParameter( window.location.search, "ppp", this.value );
		} );
		jQuery( '#sb' ).on( 'change', function( e ) {
			window.location.search = updateURLParameter( window.location.search, "sb", this.value );
		} );

	} )

	function updateURLParameter( url, param, paramVal ) {
		var newAdditionalURL = "";
		var tempArray = url.split( "?" );
		var baseURL = tempArray[0];
		var additionalURL = tempArray[1];
		var temp = "";
		if ( additionalURL ) {
			tempArray = additionalURL.split( "&" );
			for ( i = 0; i < tempArray.length; i++ ) {
				if ( tempArray[i].split( '=' )[0] != param ) {
					newAdditionalURL += temp + tempArray[i];
					temp = "&";
				}
			}
		}

		var rows_txt = temp + "" + param + "=" + paramVal;
		return baseURL + "?" + newAdditionalURL + rows_txt;
	}
</script>