<?php if ( !defined( 'ABSPATH' ) ) exit; /* Exit if accessed directly */ ?>
				<div <?php post_class(); ?>>
					<div class="fdnfeed-product-single-wrapper">
						<div class="fdnfeed-product-header">
							<div class="fdnfeed-product-title">
								<h1><?php echo $post->post_title ;?></h1>
								<?php
								$dealerid   = get_post_meta( get_the_ID(), 'product-option-dealerid', true);
								$terms      = get_the_terms( get_the_ID(), 'product_cat' );
								$categories = array();
								foreach ( $terms as $term ) {
									$categories[] = $term->name;
								}
								?>
								<div class=""><h6><?php echo $categories[0]; ?> - <?php echo $categories[1]; ?></h6></div>
								<input type="hidden" name="post_id" value="<?php echo get_the_ID() ?>" />
							</div>
							<div class="fdnfeed-product-price">
								<?php $product_price = get_post_meta( get_the_ID(), 'product-data-price', true ); ?>
								<?php if ($product_price == 'POA') {?>
									<div class="product-price"><p>POA</p></div>
								<?php } else { ?>
									<div class="product-price"><p>$<?php echo number_format((float)$product_price); ?></p></div>
									<div class="product-gst"><p>inc. GST</p></div>
								<?php } ?>
							</div>
						</div>
						<div class="fdnfeed-product-content">
							<div class="fdnfeed-product-meta-wrapper">
								
								<div class="fdnfeed-product-meta">
									<table>
										<tbody>
										<?php 
                                            $make = (esc_html(get_post_meta(get_the_ID(), 'product-data-make', true)) != "" )? esc_html(	get_post_meta(get_the_ID(), 'product-data-make', true)) : 'Unavailable';
                                            if($make!="Unavailable"){?>
                                        <tr>
											<td class="meta-title"><?php _e('Make', $text_domain) ?>:</td>
											<td class="meta-value">
												<?php
												echo $model;
												?></td>
										</tr>
                                           <?}
                                        ?>
										<?php 
                                            $model = (esc_html(get_post_meta(get_the_ID(), 'product-data-model', true)) != "" )? esc_html(	get_post_meta(get_the_ID(), 'product-data-model', true)) : 'Unavailable';
                                            if($model!="Unavailable"){?>
                                        <tr>
											<td class="meta-title"><?php _e('Model', $text_domain) ?>:</td>
											<td class="meta-value">
												<?php
												echo $model;
												?></td>
										</tr>
                                            <?}
                                        ?>
										<tr>
											<td class="meta-title"><?php _e('Location', $text_domain) ?>:</td>
											<td class="meta-value">
												<?php
												$location = (esc_html(get_post_meta(get_the_ID(), 'product-data-location', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-data-location', true)) : 'Unavailable';
												echo $location;
												?></td>
										</tr>
										<tr>
											<td class="meta-title"><?php _e('Condition', $text_domain) ?>:</td>
											<td class="meta-value">
												<?php
												$condition = (esc_html(get_post_meta(get_the_ID(), 'product-data-condition', true)) != "" )? 	esc_html(get_post_meta(get_the_ID(), 'product-data-condition', true)) : 'Unavailable';
												echo $condition;
												?></td>
										</tr>
										<?php 
                                            $location = (esc_html(get_post_meta(get_the_ID(), 'product-data-location', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-data-location', true)) : 'Unavailable';
                                            if($location!="Unavailable"){?>
                                        <tr>
											<td class="meta-title"><?php _e('Location', $text_domain) ?>:</td>
											<td class="meta-value">
												<?php
												echo $location;
												?></td>
										</tr>
                                           <?}
                                        ?>
										<?php 
                                            $condition = (esc_html(get_post_meta(get_the_ID(), 'product-data-condition', true)) != "" )? 	esc_html(get_post_meta(get_the_ID(), 'product-data-condition', true)) : 'Unavailable';
                                            if($condition!="Unavailable"){?>
                                        <tr>
											<td class="meta-title"><?php _e('Condition', $text_domain) ?>:</td>
											<td class="meta-value">
												<?php
												echo $condition;
												?></td>
										</tr>
                                            <?}
                                        ?>
										<tr>
											<td class="meta-title"><?php _e('Year', $text_domain) ?>:</td>
											<td class="meta-value">
												<?php
												$year = (esc_html(get_post_meta(get_the_ID(), 'product-data-year', true)) != "" )? esc_html(	get_post_meta(get_the_ID(), 'product-data-year', true)) : 'Unavailable';
												echo $year;
												?></td>
										</tr>
										<tr>
											<td class="meta-title"><?php _e('Stock no', $text_domain) ?>:</td>
											<td class="meta-value">
												<?php
												$stockno = (esc_html(get_post_meta(get_the_ID(), 'product-data-stockno', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-data-stockno', true)) : 'Unavailable';
												echo $stockno;
												?></td>
										</tr>
										<tr>
											<td class="meta-title"><?php _e('Listing', $text_domain) ?>:</td>
											<td class="meta-value">
												<?php
												$listing = (esc_html(get_post_meta(get_the_ID(), 'product-data-listing', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-data-listing', true)) : 'Unavailable';
												echo $listing;
												?></td>
										</tr>
										</tbody>
									</table>
								</div>
								<div class="product-share">
									<div class="col-xs-2 no-padding-left"><p><?php _e('Share', $text_domain) ?>:</p></div>
									<div class="col-xs-10 no-padding-right">
										<?php
										Fastrack_Wp_RRSSB::rrssb($post);
										?>
									</div>
								</div>
							</div>
						<div class="fdnfeed-product-description-wrapper">
						<h2 class="fdnfeed-product-description-title"><?php _e('Description', $text_domain) ?></h2>
						<div class="fdnfeed-product-description">
							<?php
							if (!empty(get_the_content())) {
								echo get_the_content();
							} else {
								_e('Unavailable', $text_domain);
							}
							?>
							<?php wp_link_pages(); ?>
							<?php get_template_part('template-part', 'postmeta'); ?>
							<?php comments_template(); ?>
							<?php wp_link_pages(); ?>
						</div>
						</div>
					</div>

			<div class="fdnfeed-product-contact">
				<div id="enquire-email" class="fdnfeed-product-form">
					<h5><?php _e('Enquire Now', $text_domain) ?></h5>
					<p><input type="text" name="name" placeholder="<?php _e('Name *', $text_domain) ?>" /></p>
					<p><input type="text" name="email" placeholder="<?php _e('Email Address *', $text_domain) ?>" /></p>
					<p><input type="text" name="phone" placeholder="<?php _e('Phone *', $text_domain) ?>" /></p>
					<p><input type="text" name="message" placeholder="<?php _e('Message *', $text_domain) ?>" /></p>
<!--					<p><label><input type="checkbox" name="sign_me" value="1" checked /> --><?php //_e('Sign me up to My Machinery Newsletter', $text_domain) ?><!--</label></p>-->
					<p><button name="send_email" onclick="sendEmailEnquireNow()"><?php _e('Send', $text_domain) ?></button></p>
					<p class="email_response" style="display: none"></p>
				</div>
				<div class="fdnfeed-product-dealer-meta">
					<h3><?php _e('Dealer Details', $text_domain) ?></h3>
					<table>
						<tbody>
						<tr>
							<td class="meta-title"><?php _e('Dealer', $text_domain) ?>:</td>
							<td class="meta-value"><?php echo get_the_title($dealerid); ?></td>
						</tr>
						<tr>
							<td class="meta-title"><?php _e('Address', $text_domain) ?>:</td>
							<td class="meta-value"><?php echo esc_html(get_post_meta($dealerid, 'dealer-data-address', true)); ?></td>
						</tr>
						<tr>
							<td class="meta-title"><?php _e('Phone', $text_domain) ?>:</td>
							<?php $phone = get_post_meta($dealerid, 'dealer-data-phone', true); ?>
							<td class="meta-value <?php echo $phone; ?>"><?php echo Fastrack_Wp_Post_Type_Product::get_mmac_dealer_phone_number($phone); ?></td>
						</tr>
						</tbody>
					</table>
			</div>
			</div>
</div>
<div id="friend-email-wrapper" style="display: none">
<div id="friend-email">
	<h2><?php _e('Send to a friend', $text_domain) ?></h2>
	<p><input type="text" name="your_name" placeholder="<?php _e('Your Name *', $text_domain) ?>" /></p>
	<p><input type="text" name="your_email" placeholder="<?php _e('Your Email Address *', $text_domain) ?>" /></p>
	<p><input type="text" name="friend_name" placeholder="<?php _e('Friends Name *', $text_domain) ?>" /></p>
	<p><input type="text" name="friend_email" placeholder="<?php _e('Friends Email Address *', $text_domain) ?>" /></p>
	<p><textarea name="email_body"><?php _e('I though this might interest you.', $text_domain) ?></textarea></p>
	<p><button name="send_email" onclick="sendEmailToFriend()"><?php _e('Send', $text_domain) ?></button></p>
	<p class="email_response" style="display: none"></p>
</div>
</div>

<style>
	.bx-viewport {height: 300px !important;}

	.bxslider img {height: 300px !important;}

	.bx-wrapper {margin-bottom: 10px !important;}
</style>