<?php if ( !defined( 'ABSPATH' ) ) exit; /* Exit if accessed directly */ ?>

<div class="fdnfeed-product-meta-wrapper">
    <div class="fdnfeed-product-meta">
        <table>
            <tbody>
            <?php
                $make = (esc_html(get_post_meta(get_the_ID(), 'product-data-make', true)) != "" )? esc_html(	get_post_meta(get_the_ID(), 'product-data-make', true)) : 'Unavailable';
                if($make!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Make', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $make;
                    ?></td>
            </tr>
               <?php }

               $model = (esc_html(get_post_meta(get_the_ID(), 'product-data-odel', true)) != "" )? esc_html(	get_post_meta(get_the_ID(), 'product-data-odel', true)) : 'Unavailable';
                if($model!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Model', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $model;
                    ?></td>
            </tr>
               <?php }

               $location = (esc_html(get_post_meta(get_the_ID(), 'product-data-location', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-data-location', true)) : 'Unavailable';
                if($location!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Location', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $location;
                    ?></td>
            </tr>
               <?php }
            ?>
            <?php
               $condition = (esc_html(get_post_meta(get_the_ID(), 'product-data-condition', true)) != "" )? 	esc_html(get_post_meta(get_the_ID(), 'product-data-condition', true)) : 'Unavailable';
                if($condition!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Condition', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $condition;
                    ?></td>
            </tr>
               <?php }

               $year = (esc_html(get_post_meta(get_the_ID(), 'product-data-year', true)) != "" )? esc_html(	get_post_meta(get_the_ID(), 'product-data-year', true)) : 'Unavailable';
                if($year!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Year', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $year;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), '_sku', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), '_sku', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Stock no', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-odometer', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-odometer', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Odometer', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }
            ?>
            <?php
               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-truck-config', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-truck-config', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Truck Config', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-susp-options', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-susp-options', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Susp Options', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-cab-option', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-cab-option', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Cab Option', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-tare', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-tare', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Tare', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-gvm', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-gvm', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('GVM', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-gcm', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-gcm', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('GCM', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-eng-type', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-eng-type', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Eng Type', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-eng-power', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-eng-power', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Eng Power', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }
            ?>
            <?php
               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-eng-size', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-eng-size', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Eng Size', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-engine-make', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-engine-make', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Engine Make', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

                    $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-fuel-capacity', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-fuel-capacity', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Fuel Capacity', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

                    $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-transmission', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-transmission', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Transmission', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-differential', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-differential', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Differential', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-turntable-coupling', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-turntable-coupling', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Turntable/ Coupling', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-audio-visual-system', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-audio-visual-system', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Audio/Visual System', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-comms-radio', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-comms-radio', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Comms/Radio', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-front-tyre-size', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-front-tyre-size', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Front Tyre Size', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-front-tyre-type', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-front-tyre-type', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Front Tyre Type', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-front-tyre-cond', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-front-tyre-cond', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Front Tyre Cond', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

                    $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-rear-tyre-size', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-rear-tyre-size', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Rear Tyre Size', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-rear-tyre-type', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-rear-tyre-type', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Rear Tyre Type', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-bullbar', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-bullbar', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Bullbar', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $stockno = (esc_html(get_post_meta(get_the_ID(), 'product-external-colour', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-external-colour', true)) : 'Unavailable';
                if($stockno!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('External Colour', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $stockno;
                    ?></td>
            </tr>
               <?php }

               $listing = (esc_html(get_post_meta(get_the_ID(), 'product-data-listing', true)) != "" )?esc_html(		get_post_meta(get_the_ID(), 'product-data-listing', true)) : 'Unavailable';
                if($listing!="Unavailable"){?>
            <tr>
                <td class="meta-title"><?php _e('Listing', $text_domain) ?>:</td>
                <td class="meta-value">
                    <?php
                    echo $listing;
                    ?></td>
            </tr>
               <?php }
            ?>
            </tbody>
        </table>
    </div>
</div>


