<?php if ( !defined( 'ABSPATH' ) ) exit; /* Exit if accessed directly */ ?>

<h2><?php _e('Shortcodes', $text_domain ) ?></h2>
<table class="form-table">
	<tbody>
	<tr>
		<th class='shortcode'><?php _e( '[fastrack_wp_search_content]', $text_domain ) ?></th>
		<td>
			<label>
				<?php _e( 'Performs and displays search results', $text_domain ) ?>
			</label>
		</td>
	</tr>
	<tr>
		<th class='shortcode'><?php _e( '[fastrack_wp_big_search]', $text_domain ) ?></th>
		<td>
			<label>
				<?php _e( 'Displays Full Search form', $text_domain ) ?>
			</label>
		</td>
	</tr>
	<tr>
		<th class='shortcode'><?php _e( '[fastrack_wp_small_search]', $text_domain ) ?></th>
		<td>
			<label>
				<?php _e( 'Displays Quick Search form', $text_domain ) ?>
			</label>
		</td>
	</tr>
	<tr>
		<th class='shortcode'><?php _e( '[fastrack_wp_quick_links]', $text_domain ) ?></th>
		<td>
			<label>
				<?php _e( 'Displays Quick Links(top categories) ', $text_domain ) ?>
			</label>
		</td>
	</tr>
	<tr>
		<th class='shortcode'><?php _e( '[fastrack_wp_recent_products max=10 category=77]', $text_domain ) ?></th>
		<td>
			<label>
				<?php _e( 'Displays listings recently added in category', $text_domain ) ?>
			</label>
		</td>
	</tr>
	</tbody>
</table>
<p>View <a href="http://fastrackwp.com/support/" target="_blank">Documentation</a> for more details.</p>
